package com.foreverwin.mesnac.dispatch.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author zjw
 * @since 2021-08-18
 */

@TableName("Z_USER_RESOURCE")

public class UserResource extends Model<UserResource> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 资源BO
     */
   @TableField("RESOURCE_BO")
   private String resourceBo;
    /**
     * 资源
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 资源描述
     */
   @TableField("RESRCE_DESCRIPTION")
   private String resrceDescription;
    /**
     * 员工编号
     */
   @TableField("USER_ID")
   private String userId;
    /**
     * 员工描述
     */
   @TableField("USER_DESCRIPTION")
   private String userDescription;
    /**
     * 是否临时员工
     */
   @TableField("TEMPORARY_USER")
   private String temporaryUser;
    /**
     * 状态:enable|有效;disable|失效
     */
   @TableField("STATUS")
   private String status;
    /**
     * 创建人
     */
   @TableField("CREATED_USER")
   private String createdUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFIED_USER")
   private String modifiedUser;
    /**
     * 修改日期
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
    /**
     * 判断该用户是否存在
     */
   @TableField("EXIST_USER")
   private String existUser;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getResourceBo() {
      return resourceBo;
   }

   public void setResourceBo(String resourceBo) {
      this.resourceBo = resourceBo;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getResrceDescription() {
      return resrceDescription;
   }

   public void setResrceDescription(String resrceDescription) {
      this.resrceDescription = resrceDescription;
   }

   public String getUserId() {
      return userId;
   }

   public void setUserId(String userId) {
      this.userId = userId;
   }

   public String getUserDescription() {
      return userDescription;
   }

   public void setUserDescription(String userDescription) {
      this.userDescription = userDescription;
   }

   public String getTemporaryUser() {
      return temporaryUser;
   }

   public void setTemporaryUser(String temporaryUser) {
      this.temporaryUser = temporaryUser;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifiedUser() {
      return modifiedUser;
   }

   public void setModifiedUser(String modifiedUser) {
      this.modifiedUser = modifiedUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getExistUser() {
      return existUser;
   }

   public void setExistUser(String existUser) {
      this.existUser = existUser;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String RESOURCE_BO = "RESOURCE_BO";

public static final String RESRCE = "RESRCE";

public static final String RESRCE_DESCRIPTION = "RESRCE_DESCRIPTION";

public static final String USER_ID = "USER_ID";

public static final String USER_DESCRIPTION = "USER_DESCRIPTION";

public static final String TEMPORARY_USER = "TEMPORARY_USER";

public static final String STATUS = "STATUS";

public static final String CREATED_USER = "CREATED_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_USER = "MODIFIED_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String EXIST_USER = "EXIST_USER";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "UserResource{" +
         "handle = " + handle +
         ", site = " + site +
         ", resourceBo = " + resourceBo +
         ", resrce = " + resrce +
         ", resrceDescription = " + resrceDescription +
         ", userId = " + userId +
         ", userDescription = " + userDescription +
         ", temporaryUser = " + temporaryUser +
         ", status = " + status +
         ", createdUser = " + createdUser +
         ", createdDateTime = " + createdDateTime +
         ", modifiedUser = " + modifiedUser +
         ", modifiedDateTime = " + modifiedDateTime +
         ", existUser = " + existUser +
         "}";
   }
}